View Issue Details

IDProjectCategoryView StatusLast Update
0000825OpenMPT[All Projects] User Interfacepublic2016-07-06 09:12
ReporterStarWolf3000Assigned ToSaga Musix 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Platformx64OSWindowsOS Version8.1
Product VersionOpenMPT 1.26.02.00 / libopenmpt 0.2-beta17 (upgrade first) 
Target VersionOpenMPT 1.26.03.00 / libopenmpt 0.2-beta18 (upgrade first)Fixed in VersionOpenMPT 1.26.03.00 / libopenmpt 0.2-beta18 (upgrade first) 
Summary0000825: Manually entered values in Find/Replace not working/strange behaving
Description

In the Find/Replace dialog, when I want to find a parameter value and replace it with a new one, and I enter both valid values using the keyboard instead of selecting from the selection menus, it will both search and replace with other values I haven't entered, resulting in an error message ("Can't find this-and-that").

But when I select the same values using the selection menus, it works.

Steps To Reproduce
  1. Load a module or create a new one and enter some pattern data.
  2. Open Find/Replace and select a parameter (unsure of Note data) to look after and enter its current value using the keyboard.
  3. Switch to Replace and do the same thing with replacement data.
  4. Click OK.
Additional Information

Expected behaviour:
It looks for the value manually entered (assuming its a correct value for that parameter) and replaces it with the other one manually entered.

Actual behaviour:
It does not look for the value manually entered (assuming its a correct value for that parameter), looks for another one that you can see when reopening the dialog, produces an error message box, and does not replace anything.

Current workaround:
Use the selection boxes instead of manually entering the data.

TagsNo tags attached.
Has the bug occurred in previous versions?Not tested in previous versions
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2016-07-05 17:02

administrator   ~0002494

r6582 should fix this. Updated test builds will be available from https://buildbot.openmpt.org/builds/ within the next few hours.

StarWolf3000

StarWolf3000

2016-07-06 05:15

reporter   ~0002495

Yup, r6582 fixed this.

Now values entered using the keyboard are recognized as what was entered.

Issue History

Date Modified Username Field Change
2016-07-03 07:47 StarWolf3000 New Issue
2016-07-03 09:43 Saga Musix Assigned To => Saga Musix
2016-07-03 09:43 Saga Musix Status new => assigned
2016-07-03 09:44 Saga Musix Target Version => OpenMPT 1.26.03.00 / libopenmpt 0.2-beta18 (upgrade first)
2016-07-05 17:02 Saga Musix Note Added: 0002494
2016-07-05 17:02 Saga Musix Status assigned => feedback
2016-07-06 05:15 StarWolf3000 Note Added: 0002495
2016-07-06 05:15 StarWolf3000 Status feedback => assigned
2016-07-06 09:12 Saga Musix Status assigned => resolved
2016-07-06 09:12 Saga Musix Resolution open => fixed
2016-07-06 09:12 Saga Musix Fixed in Version => OpenMPT 1.26.03.00 / libopenmpt 0.2-beta18 (upgrade first)